﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace PagingLinks
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute("PagingPageOne", "PagingLinks", new { controller = "PagingLinks", action = "Index", page = 1 });

            routes.MapRoute(
               name: "Paging",
               url: "PagingLinks/{page}/",
               defaults: new { controller = "PagingLinks", action = "Index", page = "" },
               constraints: new { page = @"^[0-9]+$" }
           );

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "PagingLinks", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}
