﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace PagingLinks.Controllers
{
    public class PagingLinksController : Controller
    {
        // GET: PagingLinks
        public ActionResult Index(int? page)
        {
            CreatePagingLinks(Convert.ToInt32(page));
            return View();
        }

        public void CreatePagingLinks(int page)
        {
            PagingInfo pagingInfo = new PagingInfo();
            pagingInfo.CurrentPage = page == 0 ? 1 : page;
            pagingInfo.TotalItems = 1000;
            pagingInfo.ItemsPerPage = 10;
            ViewBag.Paging = pagingInfo;
        }

        [HttpPost]
        public ActionResult Reset()
        {
            return RedirectToAction("Index");
        }
    }
}